# --------------------------------------------------------------------------
#                   OpenMS -- Open-Source Mass Spectrometry
# --------------------------------------------------------------------------
# Copyright The OpenMS Team -- Eberhard Karls University Tuebingen,
# ETH Zurich, and Freie Universitaet Berlin 2002-2020.
#
# This software is released under a three-clause BSD license:
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#  * Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#  * Neither the name of any author or any participating institution
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
# For a full list of authors, refer to the file AUTHORS.
# --------------------------------------------------------------------------
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL ANY OF THE AUTHORS OR THE CONTRIBUTING
# INSTITUTIONS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# --------------------------------------------------------------------------
# $Maintainer: Julianus Pfeuffer $
# $Authors: Julianus Pfeuffer $
# --------------------------------------------------------------------------

### CMake OpenMS config file for external code
### configured by the OpenMS build system from <OpenMS>/cmake/OpenMSConfig.cmake.in

# we need this to reference the target file
get_filename_component(OPENMS_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# include directories for targets
set(OpenMS_GUI_INCLUDE_DIRECTORIES "/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openms_gui/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openms_gui/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openms/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openms/include;/usr/lib;/usr/lib/powerpc64le-linux-gnu/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openms/thirdparty/evergreen/src;/usr/include;/usr/include;/usr/include/hdf5/serial;/usr/include/libsvm;/usr/include/eigen3;/usr/include/libwildmagic;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/src;/usr/include;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtNetwork;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtWidgets;/usr/include/powerpc64le-linux-gnu/qt5/QtGui;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtSvg;/usr/include/powerpc64le-linux-gnu/qt5/QtWidgets;/usr/include/powerpc64le-linux-gnu/qt5/QtGui;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtNetwork;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;include/OpenMS")

set(SuperHirn_INCLUDE_DIRECTORIES "/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/superhirn/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/superhirn/include;/usr/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openms/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openms/include;/usr/lib;/usr/lib/powerpc64le-linux-gnu/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openms/thirdparty/evergreen/src;/usr/include;/usr/include;/usr/include/hdf5/serial;/usr/include/libsvm;/usr/include/eigen3;/usr/include/libwildmagic;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/src;/usr/include;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtNetwork;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;include/OpenMS")

set(OpenMS_INCLUDE_DIRECTORIES "/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openms/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openms/include;/usr/lib;/usr/lib/powerpc64le-linux-gnu/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openms/thirdparty/evergreen/src;/usr/include;/usr/include;/usr/include/hdf5/serial;/usr/include/libsvm;/usr/include/eigen3;/usr/include/libwildmagic;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/src;/usr/include;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;/usr/include/powerpc64le-linux-gnu/qt5/;/usr/include/powerpc64le-linux-gnu/qt5/QtNetwork;/usr/include/powerpc64le-linux-gnu/qt5/QtCore;/usr/lib/powerpc64le-linux-gnu/qt5//mkspecs/linux-g++;include/OpenMS")

set(OpenSwathAlgo_INCLUDE_DIRECTORIES "/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/obj-powerpc64le-linux-gnu/src/openswathalgo/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/include;/build/openms-3I6lhn/openms-2.6.0+cleaned1/src/openswathalgo/thirdparty/MIToolbox/src;/usr/include;include/OpenMS")



set(OPENMS_ADDCXX_FLAGS "")

## The targets file
include("${OPENMS_CMAKE_DIR}/OpenMSTargets.cmake")
