# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.17)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget OpenSwathAlgo OpenMS SuperHirn OpenMS_GUI)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target OpenSwathAlgo
add_library(OpenSwathAlgo SHARED IMPORTED)

set_target_properties(OpenSwathAlgo PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
)

# Create imported target OpenMS
add_library(OpenMS SHARED IMPORTED)

set_target_properties(OpenMS PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
  INTERFACE_LINK_LIBRARIES "OpenSwathAlgo;/usr/lib/powerpc64le-linux-gnu/libCbc.so;/usr/lib/powerpc64le-linux-gnu/libCgl.so;/usr/lib/powerpc64le-linux-gnu/libClp.so;/usr/lib/powerpc64le-linux-gnu/libCoinUtils.so;/usr/lib/powerpc64le-linux-gnu/libOsi.so;/usr/lib/powerpc64le-linux-gnu/libOsiClp.so;/usr/lib/powerpc64le-linux-gnu/libsvm.so;/usr/lib/powerpc64le-linux-gnu/libxerces-c.so;/usr/lib/powerpc64le-linux-gnu/libboost_iostreams.so;/usr/lib/powerpc64le-linux-gnu/libboost_date_time.so;/usr/lib/powerpc64le-linux-gnu/libboost_math_c99.so;/usr/lib/powerpc64le-linux-gnu/libboost_regex.so;/usr/lib/libWm5Core.so;/usr/lib/libWm5Mathematics.so;/usr/lib/powerpc64le-linux-gnu/libbz2.so;/usr/lib/powerpc64le-linux-gnu/libz.so;/usr/lib/powerpc64le-linux-gnu/libsqlite3.so;/usr/lib/powerpc64le-linux-gnu/hdf5/serial/libhdf5_cpp.so;/usr/lib/powerpc64le-linux-gnu/hdf5/serial/libhdf5.so;/usr/lib/powerpc64le-linux-gnu/libpthread.so;/usr/lib/powerpc64le-linux-gnu/libsz.so;/usr/lib/powerpc64le-linux-gnu/libz.so;/usr/lib/powerpc64le-linux-gnu/libdl.so;/usr/lib/powerpc64le-linux-gnu/libm.so;/usr/lib/powerpc64le-linux-gnu/libglpk.so;dl;Qt5::Core;Qt5::Network;OpenMP::OpenMP_CXX"
)

# Create imported target SuperHirn
add_library(SuperHirn SHARED IMPORTED)

set_target_properties(SuperHirn PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
  INTERFACE_LINK_LIBRARIES "OpenMS"
)

# Create imported target OpenMS_GUI
add_library(OpenMS_GUI SHARED IMPORTED)

set_target_properties(OpenMS_GUI PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
  INTERFACE_LINK_LIBRARIES "OpenMS;Qt5::Widgets;Qt5::Svg;Qt5::Network"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/OpenMSTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
